arrow-left
All pages
gitbookPowered by GitBook
1 of 1

Loading...

CCD Locations

hashtag
Get

get

Retrieve FSLogix Profile Container CCDLocation List of a Site Defaults object.

Query parameters
siteIdinteger · int32Optional

The SiteId of a Site Defaults object for which to retrieve the FSLogix Profile Container settings (optional).

Responses
chevron-right
200

Success

application/json; api-version=1.0
Responsestring[]
chevron-right
401

Unauthorized

application/json; api-version=1.0
chevron-right
404

Not Found

application/json; api-version=1.0
get
/api/AVD/DefaultSettings/SingleSession/FSLogix/ProfileContainer/CCDLocations

hashtag
Add

post

Add a CCDLocation to the CCDLocation List of the FSLogix Profile Container settings.

Query parameters
siteIdinteger · int32Optional

The Site ID of an object for which to modify the FSLogix Profile Container settings (optional).

Body

Add a new CCDLocation to the FSLogix CCDLocation list

ccdLocationstring | nullableRequired

Specifies the 'CCDLocation' path to add to the CCDLocation List.

Responses
chevron-right
201

Created

chevron-right
401

Unauthorized

application/json; api-version=1.0
chevron-right
404

Not Found

application/json; api-version=1.0
chevron-right
409

Conflict

application/json; api-version=1.0
post
/api/AVD/DefaultSettings/SingleSession/FSLogix/ProfileContainer/CCDLocations

No content

hashtag
Delete

delete

Remove a CCDLocation from the CCDLocation List of the FSLogix Profile Container settings.

Query parameters
siteIdinteger · int32Optional

The Site ID of an object for which to modify the FSLogix Profile Container settings (optional).

Body

Remove a CCDLocation from the FSLogix CCDLocation list

ccdLocationstring | nullableRequired

Specifies the 'CCDLocation' path to remove from the CCDLocation List.

Responses
chevron-right
204

No Content

chevron-right
401

Unauthorized

application/json; api-version=1.0
chevron-right
404

Not Found

application/json; api-version=1.0
delete
/api/AVD/DefaultSettings/SingleSession/FSLogix/ProfileContainer/CCDLocations

No content

GET /api/AVD/DefaultSettings/SingleSession/FSLogix/ProfileContainer/CCDLocations HTTP/1.1
Host: 
Accept: */*
[
  "text"
]
POST /api/AVD/DefaultSettings/SingleSession/FSLogix/ProfileContainer/CCDLocations HTTP/1.1
Host: 
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 22

{
  "ccdLocation": "text"
}
DELETE /api/AVD/DefaultSettings/SingleSession/FSLogix/ProfileContainer/CCDLocations HTTP/1.1
Host: 
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 22

{
  "ccdLocation": "text"
}